Add a phone number to a caller-ID pool
POST
/v1/number-pools/{pool_id}/members
const url = 'https://api.vocapable.com/v1/number-pools/example/members';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"phone_number_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/number-pools/example/members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "phone_number_id": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pool_id
required
Pool Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
NumberPoolMemberCreateRequest
object
phone_number_id
required
Phone Number Id
string
Examplegenerated
{ "phone_number_id": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NumberPoolMemberSummary
object
id
required
Id
string
number_pool_id
required
Number Pool Id
string
phone_number_id
required
Phone Number Id
string
added_at
required
Added At
string format: date-time
Examplegenerated
{ "id": "example", "number_pool_id": "example", "phone_number_id": "example", "added_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}